var film;

function flyout_onload()
{
	document.body.style.width = "600px";
	document.body.style.height = "600px";
}

function hideContent()
{
	$("divContent").style.display = "none";
}

function showContent()
{
	$("divContent").style.display = "block";
}

function update()
{
	if (!film)
		return;

	showContent();

	$("titre").innerHTML = film.TitreSimpleAffichage?film.TitreSimpleAffichage:"";
	$("titreOriginal").innerHTML = (film.TitreOriginalAffichage && (film.TitreOriginalAffichage!=film.TitreSimpleAffichage))?("&nbsp;(" + film.TitreOriginalAffichage + ")"):"";
	$("genre").innerHTML = film.txtGenrePrincipal?film.txtGenrePrincipal:"";
	$("duree").innerHTML = film.Duree?("&nbsp;(" + formatDuree(film.Duree) + ")"):"";
	$("de").innerHTML = film.FilmDeWeb?("De " + film.FilmDeWeb):"";
	$("avec").innerHTML = film.FilmAvecWeb?("Avec " + film.FilmAvecWeb):"";
	$("synopsis").innerHTML = film.SynopsisCourt?film.SynopsisCourt:"";
	$("lienProjection").href = "http://www.allocine.fr/seance/filmcp_gen_cprojection=" + film.cProjection + "&codepostal=null.html"
	$("nbProjection").innerHTML = film.Poids;

	if (film.CritikPressNb > 0)
	{
		$("lienPresse").href = "http://www.allocine.fr/film/revuedepresse_gen_cfilm=" + film.cFilm + ".html";
		$("imgPresse").src = "images/etoile_" + film.NotePresse + ".png";
		$("critiquePresse").style.display = "block";
	}
	else
		$("critiquePresse").style.display = "block";

	if (film.CritikPublicNb > 0)
	{
		$("lienPublic").href = "http://www.allocine.fr/film/critiquepublic_gen_cfilm=" + film.cFilm + ".html";
		$("imgPublic").src = "images/etoile_" + film.NoteCritique + ".png";
		$("critiquePublic").style.display = "block";
	}
	else
		$("critiquePublic").style.display = "none";

	$("divCritiques").display = ( (film.CritikPressNb>0) && (film.CritikPublicNb>0) )?"block":"none";

	if (film.isVideos == 1)
	{
		$("videos").href = "http://www.allocine.fr/film/video_gen_cfilm=" + film.cFilm + ".html";
		$("divVideos").style.display = "block";
	}
	else
		$("divVideos").style.display = "none";

	var elts =  document.getElementsByClassName("personne");
	for (i=0;i<elts.length;i++)
	{
		var e = elts[i];
		if (e.href)
			e.href = e.href.replace("x-gadget://", "http://www.allocine.fr");
	}

	var liens = document.getElementsByClassName("lienFilm");
	for (i=0;i<liens.length;i++)
	{
		var lien = liens[i];
		lien.href = "http://www.allocine.fr/film/fichefilm_gen_cfilm=" + film.cFilm + ".html";
		lien.title = film.TitreSimpleAffichage + " sur www.allocine.fr";
	}
}
